Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.log
Class Logger

    java.lang.Object
      |
      +--oracle.portal.log.Logger

public abstract class Logger
extends java.lang.Object

A `Logger` object logs messages. These messages could detail reasons why `Exceptions` are thrown, or detail debugging information.

Constructor Summary
`Logger()`

Method Summary
`abstract void` | `config(java.lang.String message)` Logs the specified error message.
`abstract void` | `config(java.lang.String message, java.lang.Throwable throwable)` Logs the specified error message and Throwable.
`abstract void` | `debug(java.lang.String message)` Logs the specified debug message.
`abstract void` | `destroy()` frees any resources the Logger might be using so the web application can shut down and re-started cleanly.
`abstract void` | `info(java.lang.String message)` Logs the given informational message.
`void` | `initCurrentThread(MessageContext msgContext)` Performs per-thread initialization of a Logger.
`boolean` | `isConfigEnabled()` Returns true if Configuration level logging is enabled.
`boolean` | `isDebugEnabled()` Returns true if debug level logging is enabled.
`boolean` | `isInfoEnabled()` Returns true if information level logging is enabled.
`boolean` | `isPerfEnabled()` Returns true if Performance level logging is enabled.
`boolean` | `isSevereEnabled()` Returns true if Severe error level logging is enabled.
`boolean` | `isThrowingEnabled()` Returns true if exception level logging is enabled.
`boolean` | `isWarningEnabled()` Returns true if Warning level logging is enabled.
`abstract void` | `log(java.lang.String message)` Logs the specified message.
`abstract void` | `log(java.lang.String message, java.lang.Throwable throwable)` Logs the specified message and Throwable.
`abstract void` | `perf(java.lang.String message)` Logs the given performance related message.
`void` | `resetCurrentThread()` Performs per-thread clean-up
`abstract void` | `severe(java.lang.String message)` Logs the specified error message.
`abstract void` | `severe(java.lang.String message, java.lang.Throwable throwable)` Logs the specified error message and Throwable.
`abstract void` | `throwing(java.lang.String message, java.lang.Throwable throwable)` Logs the specified warning message and Throwable.
`abstract void` | `warning(java.lang.String message)` Logs the given warning message.
`abstract void` | `warning(java.lang.String message, java.lang.Throwable throwable)` Logs the specified warning message and Throwable.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger()

Method Detail

### initCurrentThread

    public void initCurrentThread(MessageContext msgContext)

  Performs per-thread initialization of a Logger.

  Parameters:
    `msgContext` - the `MessageContext` object to be used to format log messages

### resetCurrentThread

    public void resetCurrentThread()

  Performs per-thread clean-up

### destroy

    public abstract void destroy()

  frees any resources the Logger might be using so the web application can shut down and re-started cleanly. this method should release any resources and release any objects it might be holding references to - especially those relating to the Servlet engine such as the ServletContext This method should NEVER throw ANY exceptions

### log

    public abstract void log(java.lang.String message)

  Logs the specified message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - message to log.

### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable throwable)

  Logs the specified message and Throwable. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - explanatory message.
    `throwable` - a `Throwable` exception.

### config

    public abstract void config(java.lang.String message)

  Logs the specified error message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - error message to be logged.

### config

    public abstract void config(java.lang.String message,
                                java.lang.Throwable throwable)

  Logs the specified error message and Throwable. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - error message.
    `throwable` - a `Throwable` exception.

### severe

    public abstract void severe(java.lang.String message)

  Logs the specified error message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - error message to be logged.

### severe

    public abstract void severe(java.lang.String message,
                                java.lang.Throwable throwable)

  Logs the specified error message and Throwable. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - error message.
    `throwable` - a `Throwable` exception.

### warning

    public abstract void warning(java.lang.String message)

  Logs the given warning message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - warning message to log.

### warning

    public abstract void warning(java.lang.String message,
                                 java.lang.Throwable throwable)

  Logs the specified warning message and Throwable. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - explanatory message.
    `throwable` - a `Throwable` exception.

### throwing

    public abstract void throwing(java.lang.String message,
                                  java.lang.Throwable throwable)

  Logs the specified warning message and Throwable. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - explanatory message.
    `throwable` - a `Throwable` exception.

### info

    public abstract void info(java.lang.String message)

  Logs the given informational message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - informational message to log.

### perf

    public abstract void perf(java.lang.String message)

  Logs the given performance related message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - performance related message to log.

### debug

    public abstract void debug(java.lang.String message)

  Logs the specified debug message. This method should be coded with a try/catch block surrounding the logging code. The try/catch block should catch and swallow ANY and ALL Throwables.

  Parameters:
    `message` - debug message to log.

### isConfigEnabled

    public boolean isConfigEnabled()

  Returns true if Configuration level logging is enabled. Otherwise false.

  Returns:
    true if configuration level logging is enabled. Otherwise false.

### isSevereEnabled

    public boolean isSevereEnabled()

  Returns true if Severe error level logging is enabled. Otherwise false.

  Returns:
    true if severe error level logging is enabled. Otherwise false.

### isWarningEnabled

    public boolean isWarningEnabled()

  Returns true if Warning level logging is enabled. Otherwise false.

  Returns:
    true if warning level logging is enabled. Otherwise false.

### isThrowingEnabled

    public boolean isThrowingEnabled()

  Returns true if exception level logging is enabled. Otherwise false.

  Returns:
    true if exception level logging is enabled. Otherwise false.

### isInfoEnabled

    public boolean isInfoEnabled()

  Returns true if information level logging is enabled. Otherwise false.

  Returns:
    true if information level logging is enabled. Otherwise false.

### isPerfEnabled

    public boolean isPerfEnabled()

  Returns true if Performance level logging is enabled. Otherwise false.

  Returns:
    true if performance level logging is enabled. Otherwise false.

### isDebugEnabled

    public boolean isDebugEnabled()

  Returns true if debug level logging is enabled. Otherwise false.

  Returns:
    true if debug level logging is enabled. Otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.